SystemOrganization addCategory: #'MC2-Tests-Squeak-Smalltalk'!

SharedPool subclass: #MDBogusPoolA
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

SharedPool subclass: #MDBogusPoolB
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

MDSmalltalkSliceTest subclass: #MDChangeSetSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDChangeSetSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 00:10'!
createSlice
	| changeset |
	changeset := ChangeSet basicNewNamed: 'test'.
	changeset
		atClass: #MDBogusA add: #comment;
		atClass: #MDSliceTest add: #comment;
		changeClass: MDBogusA from: MDBogusA;
		changeClass: MDBogusA class from: MDBogusA class;
		noteNewMethod: nil forClass: MDSliceTest selector: #classes priorMethod: nil;
		noteNewMethod: nil forClass: MDSliceTest selector: #methods priorMethod: nil;
		noteNewMethod: nil forClass: MDSliceTest class selector: #bogusMethodA priorMethod: nil;
		noteNewMethod: nil forClass: MDSliceTest class selector: #bogusMethodB priorMethod: nil.
	^ MDChangeSetSlice on: changeset! !

!MDChangeSetSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/28/2008 21:49'!
testName
	self assert: slice name = 'test'! !

MDSmalltalkSliceTest subclass: #MDPackageSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDPackageSliceTest commentStamp: 'cwp 3/3/2005 02:10' prior: 0!
This comment needs to be here, or #testComment won't pass.!

!MDPackageSliceTest class methodsFor: 'as yet unclassified' stamp: 'cwp 3/3/2005 02:14'!
bogusMethodA
	"This method needs to be here for #testClassMethods to pass"! !

!MDPackageSliceTest class methodsFor: 'as yet unclassified' stamp: 'cwp 3/3/2005 02:14'!
bogusMethodB
	"This method needs to be here for #testClassMethods to pass"! !

!MDPackageSliceTest methodsFor: 'package info' stamp: 'cwp 8/29/2005 00:33'!
classes
	^ Array with: MDBogusA with: MDSliceTest! !

!MDPackageSliceTest methodsFor: 'constructing' stamp: 'cwp 3/3/2006 14:23'!
createSlice
	^MDPackageInfoSlice forPackage: self! !

!MDPackageSliceTest methodsFor: 'package info' stamp: 'cwp 8/29/2005 01:13'!
includesClassNamed: aSymbol
	^ self classes anySatisfy: [:ea | ea name = aSymbol]! !

!MDPackageSliceTest methodsFor: 'package info' stamp: 'cwp 8/29/2005 01:30'!
includesMethodReference: aMethodReference 
	^ self methods includes: aMethodReference! !

!MDPackageSliceTest methodsFor: 'package info' stamp: 'cwp 8/29/2005 00:43'!
methods
	^ Array
		with: (MethodReference class: MDSliceTest selector: #classes)
		with: (MethodReference class: MDSliceTest selector: #methods)
		with: (MethodReference class: MDSliceTest class selector: #bogusMethodA)
		with: (MethodReference class: MDSliceTest class selector: #bogusMethodB)
! !

!MDPackageSliceTest methodsFor: 'package info' stamp: 'cwp 3/16/2005 01:09'!
packageName
	^ 'TestPackage'! !

MDAdaptorTest subclass: #MDSqueakAdaptorTest
	instanceVariableNames: 'system'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakAdaptorTest class methodsFor: 'testing' stamp: 'jf 1/31/2010 12:41'!
isAbstract
	^ self name = #MDSqueakAdaptorTest! !

!MDSqueakAdaptorTest methodsFor: 'constructing' stamp: 'jf 1/31/2010 12:34'!
adaptorForElement: anElement
	^ self adaptorClass forElement: anElement inSystem: self system! !

!MDSqueakAdaptorTest methodsFor: 'running' stamp: 'jf 1/31/2010 12:38'!
editDuring: aBlock
	| result |
	result := super editDuring: aBlock.
	system commit.
	^ result! !

!MDSqueakAdaptorTest methodsFor: 'running' stamp: 'jf 1/31/2010 12:39'!
setUp
	super setUp.
	system := MDPlatform current systemEditor! !

!MDSqueakAdaptorTest methodsFor: 'constructing' stamp: 'jf 1/31/2010 12:33'!
system
	^ system! !

MDSqueakAdaptorTest subclass: #MDSqueakClassAdaptorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakClassAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/15/2005 14:42'!
adaptorClass
	^ MDSqueakClassAdaptor ! !

!MDSqueakClassAdaptorTest methodsFor: 'asserting' stamp: 'cwp 2/6/2005 11:55'!
assertObjectHasDefaultProperties
	| class |
	class := Smalltalk 
			at: self bogusClassName 
			ifAbsent: [self signalFailure: 'Class doesn''t exist'].
	self assert: class superclass name = self superclassName.
	self assert: class category = self category.
	self assert: class typeOfClass = self format! !

!MDSqueakClassAdaptorTest methodsFor: 'constants' stamp: 'cwp 2/6/2005 12:02'!
bogusClassName
	^ #MDBogusB! !

!MDSqueakClassAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/6/2005 12:03'!
category
	^ #'Monticello2-Fakes'! !

!MDSqueakClassAdaptorTest methodsFor: 'constants' stamp: 'cwp 2/12/2005 15:05'!
changedValue
	^ #temp! !

!MDSqueakClassAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/5/2005 22:16'!
classInstVars
	^ 'aleph beth'! !

!MDSqueakClassAdaptorTest methodsFor: 'constants' stamp: 'cwp 2/6/2005 12:07'!
classVariablesString
	^ 'Alpha Beta'! !

!MDSqueakClassAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/5/2005 22:12'!
classVars
	^ 'Alpha Beta'! !

!MDSqueakClassAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/5/2005 22:13'!
comment
	^ 'A politician''s comment: it fills the space, while saying nothing.'! !

!MDSqueakClassAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/5/2005 22:14'!
commentAuthor
	^ self commentStamp copyUpTo: $ ! !

!MDSqueakClassAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/5/2005 22:15'!
commentStamp
	^ 'abc 11/29/2004 01:44' ! !

!MDSqueakClassAdaptorTest methodsFor: 'properties' stamp: 'cwp 4/9/2005 04:48'!
commentTimeStamp
	^ MDTimestamp fromSqueakMethodStamp: self commentStamp! !

!MDSqueakClassAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 12:08'!
createObject
	Object 
		subclass: self bogusClassName
		instanceVariableNames: self instanceVariablesString
		classVariableNames: self classVariablesString
		poolDictionaries: self sharedPoolsString
		category: self category! !

!MDSqueakClassAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 11:56'!
destroyObject
	(Smalltalk at: self bogusClassName ifAbsent: [^ self]) removeFromSystem! !

!MDSqueakClassAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/6/2005 11:58'!
element
	^ MDClassElement className: self bogusClassName! !

!MDSqueakClassAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/5/2005 21:36'!
format
	^ #normal! !

!MDSqueakClassAdaptorTest methodsFor: 'constants' stamp: 'cwp 2/6/2005 12:07'!
instanceVariablesString
	^'one two'! !

!MDSqueakClassAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 14:06'!
objectIsPresent
	^ Smalltalk hasClassNamed: self bogusClassName asString! !

!MDSqueakClassAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/5/2005 22:18'!
properties
	^ MDPropertyDictionary new
		category: self category;
		format: self format;
		superclassName: self superclassName;
		yourself! !

!MDSqueakClassAdaptorTest methodsFor: 'constants' stamp: 'cwp 2/12/2005 14:45'!
propertyToChange
	^ #category! !

!MDSqueakClassAdaptorTest methodsFor: 'constants' stamp: 'cwp 2/6/2005 23:52'!
sharedPoolsString
	^ 'MDBogusPoolA'! !

!MDSqueakClassAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/5/2005 21:36'!
superclassName
	^ #Object! !

!MDSqueakClassAdaptorTest methodsFor: 'tests' stamp: 'cwp 6/14/2008 13:48'!
testIsUnloadable
	| properties |
	properties := self properties.
	properties superclassName: #MDNonExistentClass.
	self deny: (self adaptor isLoadable: properties)! !

!MDSqueakClassAdaptorTest methodsFor: 'tests' stamp: 'cwp 2/6/2005 12:05'!
testLoadingPreservesVars
	| class |
	self createObject.
	self adaptor load: self properties.
	class := Smalltalk at: self bogusClassName ifAbsent: [self assert: false].
	self assert: class instanceVariablesString = 'one two'.
	self assert: class classVariablesString = 'Alpha Beta'.
	self assert: class sharedPoolsString = self sharedPoolsString.! !

!MDSqueakClassAdaptorTest methodsFor: 'tests' stamp: 'cwp 6/14/2008 13:54'!
testUnloadableNotPresent
	! !

MDSqueakAdaptorTest subclass: #MDSqueakClassCommentAdaptorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakClassCommentAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/15/2005 15:39'!
adaptorClass
	^ MDSqueakClassCommentAdaptor! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'asserting' stamp: 'cwp 2/12/2005 14:57'!
assertObjectHasDefaultProperties
	self assert: self bogusClass comment = self text.
	self assert: self bogusClass organization commentStamp = self stamp.! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'accessing' stamp: 'cwp 2/12/2005 14:51'!
changedValue
	^ 'A different comment for MDBogusA.'! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/12/2005 14:27'!
createObject
	self bogusClass classComment: self text stamp: self stamp
! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/12/2005 15:00'!
destroyObject
	self bogusClass organization classComment: nil stamp: nil! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/12/2005 14:20'!
element
	^ MDClassCommentElement className: self bogusClass name! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/12/2005 14:59'!
objectIsPresent
	^ self bogusClass hasComment! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'constructing' stamp: 'cwp 11/17/2007 01:23'!
properties
	^ MDPropertyDictionary new
		at: #text put: self text;
		at: #initials put: self initials;
		at: #timeStamp put: self timeStamp;
		yourself! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'accessing' stamp: 'cwp 2/12/2005 14:45'!
propertyToChange
	^ #text! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/12/2005 14:18'!
stamp
	^ 'abc 11/29/2004 01:44' ! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'tests' stamp: 'cwp 3/11/2005 20:54'!
testTextAsString
	| properties |
	self createObject.
	properties := MDPropertyDictionary new.
	self adaptor update: properties.
	self assert: (properties text isKindOf: String)! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/12/2005 14:26'!
text
	^ 'A comment for MDBogusA'! !

!MDSqueakClassCommentAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/15/2005 16:06'!
unloadableElement
	^MDClassCommentElement className: #MDNonExistentClass! !

MDSqueakAdaptorTest subclass: #MDSqueakClassVarAdaptorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakClassVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/15/2005 16:00'!
adaptorClass
	^ MDSqueakClassVarAdaptor! !

!MDSqueakClassVarAdaptorTest methodsFor: 'asserting' stamp: 'cwp 2/6/2005 14:04'!
assertObjectHasDefaultProperties
	self assert: self objectIsPresent! !

!MDSqueakClassVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/6/2005 13:32'!
classVarName
	^ 'Beta'! !

!MDSqueakClassVarAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 13:31'!
createObject
	self bogusClass addClassVarName: self classVarName! !

!MDSqueakClassVarAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 14:04'!
destroyObject
	self objectIsPresent 
		ifTrue: [self bogusClass removeClassVarName: self classVarName]! !

!MDSqueakClassVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/6/2005 13:46'!
element
	^ MDClassVarElement 
		className: self bogusClass name 
		name: self classVarName! !

!MDSqueakClassVarAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 14:04'!
objectIsPresent
	^self bogusClass classVarNames includes: self classVarName! !

!MDSqueakClassVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/6/2005 13:32'!
properties
	^ MDPropertyDictionary new! !

!MDSqueakClassVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/12/2005 14:46'!
propertyToChange
	"Class variables have no properties and thus can never by out of date."

	^ nil 
	! !

!MDSqueakClassVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/15/2005 16:01'!
unloadableElement
	^ MDClassVarElement className: #MDNonExistentClass name: #Foo! !

MDSqueakAdaptorTest subclass: #MDSqueakInstVarAdaptorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

MDSqueakInstVarAdaptorTest subclass: #MDSqueakClassInstVarAdaptorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakClassInstVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 3/4/2005 15:05'!
adaptor
	^ MDSqueakClassInstVarAdaptor forElement: self element! !

!MDSqueakClassInstVarAdaptorTest methodsFor: 'accessing' stamp: 'cwp 3/4/2005 14:54'!
bogusClass
	^ super bogusClass class! !

!MDSqueakClassInstVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 3/4/2005 15:13'!
element
	^ MDClassInstVarElement 
		className: self bogusClass theNonMetaClass name 
		name: self instVarName! !

!MDSqueakClassInstVarAdaptorTest methodsFor: 'constants' stamp: 'cwp 5/20/2008 20:10'!
firstInstVarName
	^ 'aleph'! !

!MDSqueakClassInstVarAdaptorTest methodsFor: 'constants' stamp: 'cwp 3/4/2005 14:54'!
instVarName
	^ 'beth'! !

!MDSqueakInstVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/15/2005 16:02'!
adaptorClass
	^ MDSqueakInstVarAdaptor! !

!MDSqueakInstVarAdaptorTest methodsFor: 'asserting' stamp: 'cwp 5/19/2008 13:19'!
assertObjectHasDefaultProperties
	self assert: (self bogusClass instVarNames indexOf: self instVarName) = 2! !

!MDSqueakInstVarAdaptorTest methodsFor: 'constants' stamp: 'cwp 5/19/2008 13:23'!
changedValue
	^ 3! !

!MDSqueakInstVarAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 12:24'!
createObject
	self bogusClass addInstVarName: self instVarName! !

!MDSqueakInstVarAdaptorTest methodsFor: 'asserting' stamp: 'cwp 2/6/2005 14:07'!
denyObjectIsPresent
	self deny: self objectIsPresent! !

!MDSqueakInstVarAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 14:05'!
destroyObject
	self objectIsPresent 
		ifTrue: [self bogusClass removeInstVarName: self instVarName]! !

!MDSqueakInstVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/6/2005 12:26'!
element
	^ MDInstVarElement 
		className: self bogusClass name 
		name: self instVarName! !

!MDSqueakInstVarAdaptorTest methodsFor: 'running' stamp: 'cwp 5/20/2008 20:10'!
firstInstVarName
	^ 'one'! !

!MDSqueakInstVarAdaptorTest methodsFor: 'constants' stamp: 'cwp 2/6/2005 12:21'!
instVarName
	^'two'! !

!MDSqueakInstVarAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 14:05'!
objectIsPresent
	^self bogusClass instVarNames includes: self instVarName! !

!MDSqueakInstVarAdaptorTest methodsFor: 'properties' stamp: 'cwp 5/19/2008 13:21'!
properties
	^ MDPropertyDictionary new
		index: 2;
		yourself! !

!MDSqueakInstVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 5/19/2008 13:20'!
propertyToChange
	"An instance variable has no properties, thus it is always up-to-date"

	^ #index! !

!MDSqueakInstVarAdaptorTest methodsFor: 'running' stamp: 'cwp 5/20/2008 20:10'!
tearDown
	super tearDown.
	(self bogusClass instVarNames copyWithout: self firstInstVarName) do: [ :ea | self bogusClass removeInstVarName: ea ]! !

!MDSqueakInstVarAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/15/2005 16:02'!
unloadableElement
	^ MDInstVarElement 
		className: #MDNonExistentClass
		name: self instVarName! !

MDSqueakAdaptorTest subclass: #MDSqueakMethodAdaptorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

MDSqueakMethodAdaptorTest subclass: #MDSqueakClassMethodAdaptorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakClassMethodAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/12/2005 15:14'!
bogusClass
	^ super bogusClass class! !

!MDSqueakClassMethodAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/12/2005 15:21'!
element
	^ MDMethodElement 
		className: super bogusClass name
		selector: self theSelector
		classIsMeta: true! !

!MDSqueakMethodAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/15/2005 16:00'!
adaptorClass
	^ MDSqueakMethodAdaptor! !

!MDSqueakMethodAdaptorTest methodsFor: 'asserting' stamp: 'cwp 8/20/2005 19:10'!
assertObjectHasDefaultProperties
	self assert: (self bogusClass includesSelector: self theSelector).
	self assert: (self bogusClass organization categoryOfElement: self theSelector) = self category.
	self assert: (self bogusClass sourceCodeAt: self theSelector) = self source.
	self assert: (self bogusClass compiledMethodAt: self theSelector) timeStamp = self stamp.! !

!MDSqueakMethodAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/5/2005 17:24'!
category
	^ #temporary! !

!MDSqueakMethodAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/12/2005 15:06'!
changedValue
	^ #temp! !

!MDSqueakMethodAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 11:52'!
createObject
	self bogusClass
		compile: self source
		classified: self category
		withStamp: self stamp
		notifying: nil
		logSource: true! !

!MDSqueakMethodAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 12:15'!
destroyObject
	self bogusClass removeSelector: self theSelector! !

!MDSqueakMethodAdaptorTest methodsFor: 'configuration' stamp: 'cwp 10/23/2006 10:26'!
displayString
	^ self properties source! !

!MDSqueakMethodAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/6/2005 12:16'!
element
	^ MDMethodElement className: self bogusClass name selector: self theSelector! !

!MDSqueakMethodAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 14:07'!
objectIsPresent
	^self bogusClass includesSelector: self theSelector! !

!MDSqueakMethodAdaptorTest methodsFor: 'properties' stamp: 'cwp 11/17/2007 01:24'!
properties
	^ MDPropertyDictionary new
		initials: self initials;
		category: self category;
		source: self source;
		timeStamp: self timeStamp;
		yourself! !

!MDSqueakMethodAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/12/2005 14:49'!
propertyToChange
	^ #category! !

!MDSqueakMethodAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/5/2005 17:23'!
source
	^ 'method1
	^ 1'! !

!MDSqueakMethodAdaptorTest methodsFor: 'properties' stamp: 'cwp 8/20/2005 19:09'!
stamp
	^ 'abc 11/29/2004 14:44' ! !

!MDSqueakMethodAdaptorTest methodsFor: 'tests' stamp: 'cwp 3/11/2005 20:43'!
testSourceAsString
	| properties |
	self createObject.
	properties := MDPropertyDictionary new.
	self adaptor update: properties.
	self assert: (properties source isKindOf: String)! !

!MDSqueakMethodAdaptorTest methodsFor: 'asserting' stamp: 'cwp 2/6/2005 12:14'!
theSelector
	^#method1! !

!MDSqueakMethodAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/15/2005 15:58'!
unloadableElement
	^ MDMethodElement className: #MDNonExistentClass selector: #foo! !

MDSqueakAdaptorTest subclass: #MDSqueakPoolImportAdaptorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakPoolImportAdaptorTest methodsFor: 'constructing' stamp: 'cwp 2/15/2005 16:04'!
adaptorClass
	^ MDSqueakPoolImportAdaptor! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'asserting' stamp: 'cwp 4/28/2008 21:41'!
assertObjectHasDefaultProperties
	self assert: (self bogusClass sharedPools anySatisfy: [ :ea | ea name = self poolName ])! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 22:56'!
createObject
	self bogusClass addSharedPool: self pool! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'image access' stamp: 'cwp 2/6/2005 23:09'!
destroyObject
	self bogusClass sharedPools remove: self pool ifAbsent: []! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'constructing' stamp: 'cwp 4/28/2008 22:04'!
element
	^ MDPoolImportElement 
		className: self bogusClass name
		name: self poolName! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'image access' stamp: 'cwp 4/28/2008 21:31'!
objectIsPresent
	^ self bogusClass sharedPools anySatisfy: [ :ea | ea name = self name ]! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'accessing' stamp: 'cwp 4/28/2008 21:35'!
pool
	^ Smalltalk at: self poolName! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'accessing' stamp: 'cwp 2/6/2005 22:59'!
poolName
	^ #MDBogusPoolB! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/6/2005 23:37'!
properties
	^ MDPropertyDictionary new! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'properties' stamp: 'cwp 2/12/2005 14:49'!
propertyToChange
	"A pool import has no properties and is thus always up-to-date."
	^ nil! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'tests' stamp: 'cwp 10/13/2008 12:45'!
testDictionaryPoolPresence
	| element adaptor |
	element := MDPoolImportElement className: #MDBogusA name: #TextConstants.
	adaptor := self adaptorForElement: element.
	self assert: adaptor isPresent.! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'tests' stamp: 'cwp 5/18/2008 21:57'!
testPoolMissing
	| adaptor element |
	self canBeUnloadable ifTrue: 
		[ element := MDPoolImportElement 
			className: self bogusClass name
			name: #MDNonExistentPool.
		adaptor := self adaptorForElement: element.
		self deny: (adaptor isLoadable: self properties) ]! !

!MDSqueakPoolImportAdaptorTest methodsFor: 'constructing' stamp: 'cwp 4/28/2008 22:04'!
unloadableElement
	^ MDPoolImportElement 
		className: #MDNonExistentClass
		name: #Foo! !

!MDTimestampTest methodsFor: '*mc2-tests-squeak-smalltalk' stamp: 'cwp 5/22/2008 00:10'!
testFromSqueakMethodStamp
	| ts |
	ts := MDTimestamp fromSqueakMethodStamp: 'cwp 4/7/2005 01:30'.
	self assert: ts printString = '7 April 2005 1:30:00 am'! !

MDSmalltalkAdaptionTest subclass: #MDSqueakAdaptionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakAdaptionTest methodsFor: 'converting' stamp: 'jf 10/21/2009 16:19'!
domainClass
	^ MDSqueakDomain! !

Object subclass: #MDBogusA
	instanceVariableNames: 'one'
	classVariableNames: 'MDAlpha'
	poolDictionaries: 'MDBogusPoolA TextConstants'
	category: 'MC2-Tests-Squeak-Smalltalk'!

MDBogusA class
	instanceVariableNames: 'aleph'!

MDBogusA class
	instanceVariableNames: 'aleph'!

Object subclass: #MDFakeClassDescription
	instanceVariableNames: 'superclass methodDict format instanceVariables organization name'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

MDFakeClassDescription subclass: #MDFakeClass
	instanceVariableNames: 'subclasses classPool sharedPools environement category'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDFakeClass class methodsFor: 'instance creation' stamp: 'cwp 8/27/2005 11:50'!
basedOn: aClass
	^ self new initializeFromClass: aClass theNonMetaClass! !

!MDFakeClass methodsFor: 'mutation' stamp: 'cwp 8/27/2005 10:37'!
addClassVarName: aString
	classPool at: aString asSymbol put: nil! !

!MDFakeClass methodsFor: 'mutation' stamp: 'cwp 5/22/2008 00:13'!
addSharedPool: aSharedPool 
	(self sharedPools includes: aSharedPool)
		ifTrue: [^self error: 'This is already in my shared pool list'].
	sharedPools == nil
		ifTrue: [sharedPools := OrderedCollection with: aSharedPool]
		ifFalse: [sharedPools add: aSharedPool]! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/26/2005 18:35'!
category
	^category! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/26/2005 18:35'!
category: anObject
	category := anObject! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/26/2005 18:35'!
classPool
	^classPool! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/26/2005 18:35'!
classPool: anObject
	classPool := anObject! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/27/2005 10:48'!
classVarNames
	^ classPool keys! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/26/2005 18:35'!
environement
	^environement! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/26/2005 18:35'!
environement: anObject
	environement := anObject! !

!MDFakeClass methodsFor: 'initialize-release' stamp: 'cwp 5/22/2008 00:13'!
initializeFromClass: aClass
	superclass := aClass superclass.
	methodDict := aClass methodDict copy.
	format := aClass format.
	name := aClass name.
	organization := aClass organization copy.
	instanceVariables := aClass instVarNames.
	classPool := aClass classPool copy.
	sharedPools := aClass sharedPools copy.
	! !

!MDFakeClass methodsFor: 'testing' stamp: 'cwp 8/27/2005 12:50'!
isMeta
	^ false! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/26/2005 18:35'!
sharedPools
	^sharedPools! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/26/2005 18:35'!
sharedPools: anObject
	sharedPools := anObject! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/26/2005 18:35'!
subclasses
	^subclasses! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/26/2005 18:35'!
subclasses: anObject
	subclasses := anObject! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:55'!
theMetaClass
	^MDFakeMetaclass basedOn: self theRealClass class! !

!MDFakeClass methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:52'!
theNonMetaClass
	^ self! !

!MDFakeClassDescription methodsFor: 'mutation' stamp: 'cwp 5/22/2008 00:13'!
addInstVarName: aString
	instanceVariables := instanceVariables copyWith: aString! !

!MDFakeClassDescription methodsFor: 'copying' stamp: 'cwp 8/27/2005 11:36'!
copy
	^ self class basedOn: self! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:37'!
format
	^format! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:37'!
format: anObject
	format := anObject! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:37'!
instVarNames
	^ instanceVariables! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 5/22/2008 00:13'!
instVarNames: anArray
	instanceVariables := anArray! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:37'!
methodDict
	^methodDict! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:37'!
methodDict: anObject
	methodDict := anObject! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:38'!
name
	^ name! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 5/22/2008 00:13'!
name: aSymbol
	name := aSymbol! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:39'!
organization
	^organization! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:39'!
organization: anObject
	organization := anObject! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:39'!
superclass
	^superclass! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:39'!
superclass: anObject
	superclass := anObject! !

!MDFakeClassDescription methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:55'!
theRealClass
	^Smalltalk classNamed: name! !

MDFakeClassDescription subclass: #MDFakeMetaclass
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDFakeMetaclass class methodsFor: 'as yet unclassified' stamp: 'cwp 8/27/2005 11:56'!
basedOn: aMetaclass
	^ self new initializeFromMetaclass: aMetaclass theMetaClass! !

!MDFakeMetaclass methodsFor: 'initialize-release' stamp: 'cwp 5/22/2008 00:13'!
initializeFromMetaclass: aMetaclass
	superclass := aMetaclass superclass.
	methodDict := aMetaclass methodDict copy.
	format := aMetaclass format.
	name := aMetaclass theNonMetaClass name.
	organization := aMetaclass organization copy.
	instanceVariables := aMetaclass instVarNames.
! !

!MDFakeMetaclass methodsFor: 'testing' stamp: 'cwp 8/27/2005 12:50'!
isMeta
	^ true! !

!MDFakeMetaclass methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:53'!
name
	^ name, ' class'! !

!MDFakeMetaclass methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:52'!
theMetaClass
	^ self! !

!MDFakeMetaclass methodsFor: 'accessing' stamp: 'cwp 8/27/2005 11:55'!
theNonMetaClass
	^ MDFakeClass basedOn: self theRealClass! !

TestCase subclass: #MDSqueakInstVarMungingTest
	instanceVariableNames: 'adaptor'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakInstVarMungingTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/20/2008 07:22'!
assertIndex: index in: before yields: expected
	| actual |
	actual := adaptor installAt: index in: before.
	self assert: actual = expected! !

!MDSqueakInstVarMungingTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/20/2008 07:17'!
setUp
	| element |
	element := MDInstVarElement className: #MDBogusA name: 'two'.
	adaptor := MDSqueakInstVarAdaptor forElement: element inSystem: self.
	! !

!MDSqueakInstVarMungingTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/20/2008 08:00'!
testAddAndInsertPadding
	self 
		assertIndex: 3
		in: #('one')
		yields: #('one' 'instVarAtSlot2' 'two')! !

!MDSqueakInstVarMungingTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/20/2008 07:54'!
testInsertPadding
	self 
		assertIndex: 3
		in: #('one' 'two')
		yields: #('one' 'instVarAtSlot2' 'two')! !

!MDSqueakInstVarMungingTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/20/2008 07:24'!
testSwap
	self 
		assertIndex: 2
		in: #('one' 'interloper' 'two')
		yields: #('one' 'two' 'interloper')! !

!MDSqueakInstVarMungingTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/20/2008 07:56'!
testSwapToEnd
	self 
		assertIndex: 2
		in: #('one' 'interloper' 'three')
		yields: #('one' 'two' 'three' 'interloper')! !

TestCase subclass: #MDSqueakTimestampParsingTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakTimestampParsingTest methodsFor: 'as yet unclassified' stamp: 'cwp 4/23/2008 07:27'!
testNormal
	| ts |
	ts := MDTimestamp fromSqueakMethodStamp: 'cwp 8/7/2005 18:32'.
	self assert: ts year = 2005.
	self assert: ts month = 8.
	self assert: ts day = 7.
	self assert: ts hour = 18.
	self assert: ts minute = 32.
	self assert: ts second = 0.! !

!MDSqueakTimestampParsingTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/12/2008 20:55'!
testYear100
	| ts |
	ts := MDTimestamp fromSqueakMethodStamp: 'MPW 12/31/100 21:50'.
	self assert: ts isNil! !

!MDSqueakTimestampParsingTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/12/2008 20:46'!
testYear1901
	| ts |
	ts := MDTimestamp fromSqueakMethodStamp: 'MPW 1/1/1901 21:50'.
	self assert: ts isNil! !

!MDSqueakTimestampParsingTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/12/2008 20:54'!
testYear1979
	| ts |
	ts := MDTimestamp fromSqueakMethodStamp: 'MPW 12/31/1979 21:50'.
	self assert: ts isNil! !

!MDSqueakTimestampParsingTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/12/2008 19:59'!
testYear1997
	| ts |
	ts := MDTimestamp fromSqueakMethodStamp: 'di 9/18/1997 10:10'.
	self assert: ts year = 1997.
	self assert: ts month = 9.
	self assert: ts day = 18.
	self assert: ts hour = 10.
	self assert: ts minute = 10.
	self assert: ts second = 0.! !

!MDSqueakTimestampParsingTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/12/2008 20:01'!
testYear2080
	| ts |
	ts := MDTimestamp fromSqueakMethodStamp: 'di 9/18/2080 10:10'.
	self assert: ts year = 2080.
	self assert: ts month = 9.
	self assert: ts day = 18.
	self assert: ts hour = 10.
	self assert: ts minute = 10.
	self assert: ts second = 0.
	
! !

!MDSqueakTimestampParsingTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/12/2008 20:00'!
testYear79
	| ts |
	ts := MDTimestamp fromSqueakMethodStamp: 'di 9/18/79 10:10'.
	self assert: ts year = 2079.
	self assert: ts month = 9.
	self assert: ts day = 18.
	self assert: ts hour = 10.
	self assert: ts minute = 10.
	self assert: ts second = 0.
	
! !

!MDSqueakTimestampParsingTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/12/2008 20:01'!
testYear80
	| ts |
	ts := MDTimestamp fromSqueakMethodStamp: 'di 9/18/80 10:10'.
	self assert: ts year = 1980.
	self assert: ts month = 9.
	self assert: ts day = 18.
	self assert: ts hour = 10.
	self assert: ts minute = 10.
	self assert: ts second = 0.
	
! !

!MDSqueakTimestampParsingTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/12/2008 19:58'!
testYear97
	| ts |
	ts := MDTimestamp fromSqueakMethodStamp: 'di 9/18/97 10:10'.
	self assert: ts year = 1997.
	self assert: ts month = 9.
	self assert: ts day = 18.
	self assert: ts hour = 10.
	self assert: ts minute = 10.
	self assert: ts second = 0.! !

TestCase subclass: #MDSqueakTransactionTest
	instanceVariableNames: 'commitWasCalled domain'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Squeak-Smalltalk'!

!MDSqueakTransactionTest methodsFor: 'asserting' stamp: 'jf 10/21/2009 16:21'!
assertEditorSetFor: aBlock 
	| adaptor |
	domain 
		instVarNamed: 'editor'
		put: self.
	adaptor := domain adapt: aBlock value.
	self assert: (adaptor instVarNamed: 'system') == self! !

!MDSqueakTransactionTest methodsFor: 'callbacks' stamp: 'cwp 5/22/2008 00:13'!
commit
	commitWasCalled := true! !

!MDSqueakTransactionTest methodsFor: 'running' stamp: 'jf 10/21/2009 16:21'!
endTransactionEarly
	domain transaction: [ ^ self ]! !

!MDSqueakTransactionTest methodsFor: 'running' stamp: 'jf 10/21/2009 16:21'!
setUp
	domain := MDSqueakDomain new.
	commitWasCalled := false! !

!MDSqueakTransactionTest methodsFor: 'callbacks' stamp: 'cwp 3/2/2006 21:06'!
subject
	^ Smalltalk! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'cwp 3/2/2006 20:45'!
testEditorSetForClassAdaptors
	self assertEditorSetFor: [MDClassElement className: self class name].! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'cwp 3/2/2006 20:45'!
testEditorSetForClassCommentAdaptors
	self assertEditorSetFor: [MDClassCommentElement className: self class name]! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'cwp 3/2/2006 20:48'!
testEditorSetForClassInstVarAdaptors
	self assertEditorSetFor: [MDClassInstVarElement 
							className: self class name 
							name: 'aleph']! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'cwp 3/2/2006 20:49'!
testEditorSetForClassVarAdaptors
	self assertEditorSetFor: [MDClassVarElement 
							className: self class name 
							name: 'Alpha']! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'cwp 3/2/2006 20:50'!
testEditorSetForInstVarAdaptors
	self assertEditorSetFor: [MDInstVarElement 
							className: self class name 
							name: 'one']! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'cwp 3/2/2006 20:52'!
testEditorSetForMethodAdaptors
	self assertEditorSetFor: [MDMethodElement 
							className: self class name 
							selector: #a]! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'cwp 4/28/2008 22:04'!
testEditorSetForPoolImportAdaptors
	self assertEditorSetFor: 
		[ MDPoolImportElement 
			className: self class name
			name: #MDBogusPoolA ]! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'jf 10/21/2009 16:21'!
testProxyClearsEditorIfTransactionExitsEarly
	self endTransactionEarly.
	self assert: (domain instVarNamed: 'editor') == Smalltalk! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'jf 10/21/2009 16:21'!
testProxyCreatesSystemEditor
	| editor |
	domain transaction: 
		[ editor := domain instVarNamed: 'editor'.
		self assert: editor class == MDPlatform current systemEditor class ]! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'jf 10/21/2009 16:21'!
testProxyHasDefaultEnvironment
	self assert: (domain instVarNamed: 'editor') == Smalltalk! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'jf 10/21/2009 16:21'!
testProxyRemovesSystemEditor
	domain transaction: 
		[ "do nothing"
		 ].
	self assert: (domain instVarNamed: 'editor') == Smalltalk! !

!MDSqueakTransactionTest methodsFor: 'tests' stamp: 'jf 10/21/2009 16:21'!
testProxySendsCommitToEditor
	domain transaction: 
		[ domain 
			instVarNamed: 'editor'
			put: self ].
	self assert: commitWasCalled! !

!MDDefaultDomainTest methodsFor: '*mc2-tests-squeak-smalltalk' stamp: 'cwp 6/15/2008 20:26'!
testSmalltalk
	self assertDefaultIdentityFor: #smalltalk! !
